project('curlcpp', 'cpp',
  version: '1.4',
  meson_version: '>=0.49.2',
  default_options: ['buildtype=release', 'cpp_std=c++11', 'b_ndebug=if-release'],
  license: 'MIT',
)

curl_dep = dependency('libcurl', version: '>=7.28.0')
public_incl = include_directories('include')
subdir('src')

if not meson.is_subproject()
  install_headers(
	'include/cookie.h',
	'include/cookie_date.h',
	'include/cookie_datetime.h',
	'include/cookie_time.h',
	'include/curl_config.h',
	'include/curl_cookie.h',
	'include/curl_easy.h',
	'include/curl_easy_info.h',
	'include/curl_exception.h',
	'include/curl_form.h',
	'include/curl_global.h',
	'include/curl_header.h',
	'include/curl_info.h',
	'include/curl_interface.h',
	'include/curl_ios.h',
	'include/curl_multi.h',
	'include/curl_option.h',
	'include/curl_pair.h',
	'include/curl_receiver.h',
	'include/curl_sender.h',
	'include/curl_share.h',
	'include/curl_utility.h',
	subdir: meson.project_name(),
  )
endif
